×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Regular Contributor
    Join Date
    Oct 2008
    Location
    bhavnagar
    Posts
    255

    Question [moved] problem with active perl

    i have download active perl 5.10 from download.com

    it download .zar file.
    i install it using unzip and then put it into c drive..
    but when i got to running carbide c++ 2.0 that is error message.

    :)
    nayan trivedi.

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Czech Republic
    Posts
    2,037

    Re: problem with active perl

    Hi,

    the perl to be used with Symbian SDKs is v5.6.1. Using another version could result in errors.

    BR
    STeN

  3. #3
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,344

    Smile Re: [moved] problem with active perl

    As already mentioned, you should use recommended version of perl and in your case it is v5.6.1 build 635. Download it from here: ftp://ftp.activestate.com/ActivePerl...SWin32-x86.msi

    The same link is provided in the readme_sdk.html file from Carbide.c++ v2.0 installation path. So it is always beneficial and time saving to read ReadMe file before proceeding further.

    I hope that helps. :)
    Nokia Developer Wiki Moderation team

  4. #4
    Regular Contributor
    Join Date
    Oct 2008
    Location
    bhavnagar
    Posts
    255

    Re: [moved] problem with active perl

    Quote Originally Posted by kiran10182 View Post
    As already mentioned, you should use recommended version of perl and in your case it is v5.6.1 build 635. Download it from here: ftp://ftp.activestate.com/ActivePerl...SWin32-x86.msi

    The same link is provided in the readme_sdk.html file from Carbide.c++ v2.0 installation path. So it is always beneficial and time saving to read ReadMe file before proceeding further.

    I hope that helps. :)
    THANKS SIR..

    it is working now..
    nayan trivedi.

  5. #5
    Registered User
    Join Date
    Jan 2007
    Posts
    282

    Re: [moved] problem with active perl

    I have been using Active Perl v5.10.0 without any issues since last year. AFAIK Only issues that with new version perl > v5.6.1 are with help compiler which follow the old perl syntax to instantiate objects. This can be easily fixed by appying patch provided here

    http://wiki.forum.nokia.com/index.ph...sensitive_help

    If you are working with 3rd Edition SDK's then i would definitly recommend the most recent version of perl as it gives you vastly more functionality with your build scripts. Also they are faster then previous release. Since symbian build tool chain relies heaviliy on perl using newever version definitly would help.

    I personally discovered an advantage of using most recent version perl when i was making a build script that used to compare two xml localization files during build. If developer forgets to mention a localized string in any one of the two then the compilation process was aborted. Perl v5.6.1 was simply crashin while parsing the xml files.

    Hope that helps,
    VJ

  6. #6
    Registered User
    Join Date
    Jul 2009
    Posts
    22

    Re: [moved] problem with active perl

    Hi All,

    I am getting this error it just does not make sense at all. Because i had successfully build and run this same project on the same carbide v2 and now it give me this error message "This project does not support program "ICONS_SCALABLE_DC" for platform "WINSCW" ".I am using S60_5th_Edition_SDK_v1.0 and S60_3rd_FP2_SDK_v1.1. Any help will be appreciable.

    Thanks!

  7. #7
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: [moved] problem with active perl

    Quote Originally Posted by rahelcavalli View Post
    Hi All,

    I am getting this error it just does not make sense at all. Because i had successfully build and run this same project on the same carbide v2 and now it give me this error message "This project does not support program "ICONS_SCALABLE_DC" for platform "WINSCW" ".I am using S60_5th_Edition_SDK_v1.0 and S60_3rd_FP2_SDK_v1.1. Any help will be appreciable.

    Thanks!
    How it is related to original problem of this thread. Also try not to multi-post.

Similar Threads

  1. Active Object problem
    By NevePankaj in forum Symbian
    Replies: 8
    Last Post: 2008-12-25, 23:50
  2. [moved] TCP Listener With Active object problem
    By uday.neo in forum Symbian Networking & Messaging (Closed)
    Replies: 10
    Last Post: 2008-11-10, 13:16
  3. Active Object Problem
    By mohdalihpk in forum Symbian
    Replies: 2
    Last Post: 2008-03-19, 08:57
  4. Replies: 2
    Last Post: 2007-10-05, 20:40
  5. Problem with active objects
    By christee in forum Symbian
    Replies: 0
    Last Post: 2006-06-01, 19:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×